Bug 731258 - No 'local' option to save trackback
Summary: No 'local' option to save trackback
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: 16
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 07:50 UTC by Hongqing Yang
Modified: 2011-10-26 02:50 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-26 02:50:19 UTC


Attachments (Terms of Use)
GUI config window with a hint (57.61 KB, image/png)
2011-10-25 00:21 UTC, Denys Vlasenko
no flags Details

Description Hongqing Yang 2011-08-17 07:50:35 UTC
Description of problem:

This is to cover the test case: https://fedoraproject.org/wiki/QA:Testcase_Anaconda_save_traceback_to_disk

Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1. install f16
2. pass updates=http://jlaska.fedorapeople.org/updates/traceback.img to kernel to generate traceback
3. save traceback
4. there is no 'local' option
   
Actual results:


Expected results:

'local' is listed there

Additional info:

Comment 1 He Rui 2011-08-17 09:27:17 UTC
Also no scp option for choice.

Comment 2 Jiri Moskovcak 2011-08-17 13:20:35 UTC
(In reply to comment #1)
> Also no scp option for choice.

you can use report uploader and put url scp://whatever

Comment 3 Jiri Moskovcak 2011-08-17 13:22:33 UTC
Why do we need 'local' it's already saved in /tmp/anaconda-tb-<something> and if it's really needed the again - reportuploader and put ro url field: file:///any/path/you/want ...

the only difference is that you won't get xml file, but I think anaconda devs didn't like the xml anyway... So maybe we just should update the test case?

Comment 4 He Rui 2011-08-18 03:06:33 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Also no scp option for choice.
> 
> you can use report uploader and put url scp://whatever

I need verify if 'scp' and 'local' function work, but at least it's not a friendly GUI, we had no idea that 'scp' is supported and there's already a copy in /tmp before you told so. The GUI used to have ftp, scp, local, bugzilla buttons as options, which are very direct and convenient for users. Is there any plan to update the GUI?

Comment 5 Jiri Moskovcak 2011-08-18 08:50:10 UTC
(In reply to comment #4)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > Also no scp option for choice.
> > 
> > you can use report uploader and put url scp://whatever
> 
> I need verify if 'scp' and 'local' function work, but at least it's not a
> friendly GUI, we had no idea that 'scp' is supported 

- agreed, I will update the plugin description, so it shows at least a hint that it supports scp, ftp, etc...

> and there's already a copy
> in /tmp before you told so.

- this file is actually produced by anaconda itself even without any reporting, so that's why I don't understand the local save. The only + about the local save was that it creates a xml file which you could later feed to report tool and it would create a bz ticket from it. We can implement this if there is a real need for this feature, but I would prefer not to..

> The GUI used to have ftp, scp, local, bugzilla
> buttons as options, which are very direct and convenient for users. Is there
> any plan to update the GUI?

- not really, but sounds like a good idea, so I created a ticket for it -> https://fedorahosted.org/abrt/ticket/331

Comment 6 Denys Vlasenko 2011-10-25 00:21:15 UTC
Created attachment 529977 [details]
GUI config window with a hint

commit 3ef5d54dfabba7b69352ec85879d0da9daab74ba
Author: Denys Vlasenko <dvlasenk@redhat.com>
Date:   Tue Oct 25 02:17:57 2011 +0200

    reporter-upload: add possibility to specify _file_ part in url

    Work around a problem where we copy file on itself in /tmp
    if url is file:///tmp/.

    Add explanation to --help text, manpage, and add
    examples to GUI config window.

Comment 7 Denys Vlasenko 2011-10-25 00:31:37 UTC
What else needs to be done here?

Comment 8 Hongqing Yang 2011-10-25 05:40:16 UTC
(In reply to comment #7)
> What else needs to be done here?

now there are two options in abrt: bugzilla and report uploader.
bugzilla is clear, but what does report uploader support is not very clear,
such as scp, users cannot know the information from the GUI, it is not user
friendly. Before f16, it is clear enough. I think this should be a NTH feature.

Comment 9 Denys Vlasenko 2011-10-25 10:58:07 UTC
Currently in GUI, busybox and report uploader selections look like this:

[ ] Bugzilla - Report to Bugzilla bug tracker
[ ] Report uploader - Upload compressed tar report to url of choice

How do you propose to rephrase text on Report uploader's line?

Comment 10 Denys Vlasenko 2011-10-25 11:07:33 UTC
I changed the description to read:

[ ] Report uploader - Upload as tar.gz file (via FTP/SCP/...)

Do you have a better proposal?

Comment 11 Hongqing Yang 2011-10-26 02:50:19 UTC
(In reply to comment #10)
> I changed the description to read:
> 
> [ ] Report uploader - Upload as tar.gz file (via FTP/SCP/...)
> 
> Do you have a better proposal?

That's OK. I would like close this.


Note You need to log in before you can comment on or make changes to this bug.